Skip to content
D-Link / PRODUCT DOSSIER

D-Link DGS-3620-52P-EI

D-Link DGS-3620-52P-EI DGS-3620-52P/EI Switch
SKU: DGS-3620-52P/EI

D-Link DGS-3620-52P-EI DGS-3620-52P/EI Switch — Switch. Detailed technical specifications, hardware compatibility, and price breakdown.

View Specs Buy on Amazon →

You can report any missing or inaccurate technical specifications.

Recorded technical parameters and manufacturer data are verified.

Technical specifications

Recorded specifications are grouped by product category. Missing data does not imply lack of support.
Auto MDI/MDI-X
Yes
Auto MDI MDI-X
Yes
Connection Technology
Wired
10G support
Yes
Network Interface
Gigabit Ethernet
Transfer Speed Mbps
130,95 Mbit/s
Transfer Speed (Mb/s)
130,95 Mbit/s
Power Over Ethernet Poe Support
Yes
Service Quality QoS Support
Yes
Basic Opening Closing RJ 45 Ethernet Input Count
Data Speed
10/100/1000 Mbps
Wi-Fi
No
Communication LED Indicators
Yes
Number of Gigabit Ethernet Copper Ports
4
Power Connection
SFP/SFP+ port count
4
SFP SFP Port Count
4
Input frequency
50 / 60 Hz
Input voltage
100 - 240 V
Power consumption
Address Table Size
Jumbo frames support
Yes
Shelf Installation
Yes
Web-based management
Yes
Product Color
Power LED
Yes
Akis Control Support
Yes
Contact Layer
Routing Transit Capacity
Routing/switching capacity
176 Gbit/s
SFP Module Slot Count
Full Two-sided Printing
Yes
Package Cache
Brand
D-Link
Category
Network Switches
Product Name
DGS-3620-52P-EI
GTIN EAN UPC
0790069354182,
Category
Network Switches
Brand
D-Link
Product Name
DGS-3620-52P-EI
Product Series
Sold Markets
GB, ES
Date Added to System
2011-07-16
Production Date
Product Code
DGS-3620-52P/EI
Console Input
RJ-45
MIB support
RFC1213 MIB-II - RFC1493 Bridge MIB - RFC1907 SNMPv2 MIB - RFC2571~2576 SNMP MIB - RFC1271, 2819 RMON MIB - RFC2021 RMON v2 MIB - RFC2665 Ether-like MIB - RFC2668 MAU MIB - RFC2674 802.1p MIB - RFC2233, 2863 IF MIB - RFC2618 RADIUS Authentication Client MIB - RFC1724 RIP v2 MIB - RFC1850 OSPF v2 MIB - RFC2096 IP Forwarding Table MIB (CIDR) - RFC2787 VRRP MIB - RFC2932 IPv4 Multicast Routing MIB - RFC2934 PIM MIB for IPv4 - RFC2620 RADIUS Accounting Client MIB - RFC2933 IGMP MIB - Ping MIB - Traceroute MIB - D-Link Private MIB - RFC768 UDP+ RFC783 TFTP - RFC 791 IP - RFC 792 ICMP - RFC 793 TCP - RFC 826 ARP - RFC854 Telnet - RFC951, 1542 BootP - RFC2068 HTTP - RFC2338 VRRP - RFC2529, 3053, 3056 IPv6 Tunnel - RFC2138 RADIUS - RFC2139 RADIUS Accounting - RFC1492 TACACS - RFC3176 sFlow - RFC2598 DiffServ Expedited Forwarding - RFC2460 IPv6 - RFC4861 IPv6 Neighbor Discovery (ND) - RFC4862 IPv6 Stateless Address Autoconfiguration - RFC1981 IPv6 Path MTU Discovery
Management protocols
Single IP Management v1.6 - CLI - Telnet Server - Telnet Client - SNMP v1, v2c, v3 - SNMP Trap on MAC Notification - BootP/DHCP Client - System Log - Trap/Alarm/Log Severity Control - Flash File System - CPU Monitoring via Web, CLI, SNMP - Virtual Interface2 - Web-based GUI - Web GUI Traffic Monitoring - TFTP Client - RMON v1, v2 - sFlow - DHCP Auto-Configuration - DHCP Relay Option 82 - DHCP Relay Option 60 & 61 - DHCP Server - Dual Image - Dual Configuration - LLDP - DHCPv6 Client - DHCPv6 Relay - DHCPv6 Server - Cable Diagnotics - SNTP - ICMPv6 - Trusted Host - MTV Setting - NLB (Network Load Balancing) - LLDP-Med
D-Link DGS-3620-52P-EI DGS-3620-52P/EI Switch